---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libtc04t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3810, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x535E0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55520, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55910, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x568B0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x568C0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53240, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53244, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53248, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x533A0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53458, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5345C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53460, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53464, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53468, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53470, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x53480, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53488, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53490, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53498, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x534A0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x534A8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL8object_M, symObjAddr: 0x534F0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x53548, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL15waitEventsCount, symObjAddr: 0x534F8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL17waitedEventsCount, symObjAddr: 0x534FC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL16enterEventsCount, symObjAddr: 0x53500, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: __ZL18enteredEventsCount, symObjAddr: 0x53504, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x9568, offset: 0x9568, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x53508, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x95BA, offset: 0x95BA, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x24B0, symSize: 0x80 }
  - { offsetInCU: 0x964F, offset: 0x964F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2400, symSize: 0xB0 }
  - { offsetInCU: 0x96AA, offset: 0x96AA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2300, symSize: 0x100 }
  - { offsetInCU: 0x993D, offset: 0x993D, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2530, symSize: 0xC0 }
  - { offsetInCU: 0x998F, offset: 0x998F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x25F0, symSize: 0x220 }
  - { offsetInCU: 0x9B74, offset: 0x9B74, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2810, symSize: 0xA0 }
  - { offsetInCU: 0x9C27, offset: 0x9C27, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x28B0, symSize: 0x110 }
  - { offsetInCU: 0x9D1D, offset: 0x9D1D, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x29C0, symSize: 0x150 }
  - { offsetInCU: 0x9E9A, offset: 0x9E9A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2B10, symSize: 0x30 }
  - { offsetInCU: 0x9F5B, offset: 0x9F5B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2B40, symSize: 0x150 }
  - { offsetInCU: 0xA153, offset: 0xA153, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2C90, symSize: 0x160 }
  - { offsetInCU: 0xA413, offset: 0xA413, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2DF0, symSize: 0x4A0 }
  - { offsetInCU: 0xA686, offset: 0xA686, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3290, symSize: 0x1B0 }
  - { offsetInCU: 0xA8A1, offset: 0xA8A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3440, symSize: 0xA0 }
  - { offsetInCU: 0xA970, offset: 0xA970, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x34E0, symSize: 0x20 }
  - { offsetInCU: 0xA9A7, offset: 0xA9A7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3500, symSize: 0x20 }
  - { offsetInCU: 0xA9DE, offset: 0xA9DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3520, symSize: 0x20 }
  - { offsetInCU: 0xAB4D, offset: 0xAB4D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3540, symSize: 0x1A0 }
  - { offsetInCU: 0xAE69, offset: 0xAE69, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x36E0, symSize: 0x130 }
  - { offsetInCU: 0xB019, offset: 0xB019, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3A80, symSize: 0x1B0 }
  - { offsetInCU: 0xB308, offset: 0xB308, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3C30, symSize: 0x80 }
  - { offsetInCU: 0xB3D1, offset: 0xB3D1, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3CB0, symSize: 0x6A0 }
  - { offsetInCU: 0xBF66, offset: 0xBF66, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB050, symBinAddr: 0x5E90, symSize: 0xB0 }
  - { offsetInCU: 0xBFDD, offset: 0xBFDD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4350, symSize: 0x70 }
  - { offsetInCU: 0xC099, offset: 0xC099, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x43C0, symSize: 0xA0 }
  - { offsetInCU: 0xC1A4, offset: 0xC1A4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4460, symSize: 0x40 }
  - { offsetInCU: 0xC29A, offset: 0xC29A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x44A0, symSize: 0x2B0 }
  - { offsetInCU: 0xC640, offset: 0xC640, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4750, symSize: 0xC0 }
  - { offsetInCU: 0xC786, offset: 0xC786, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4810, symSize: 0x10 }
  - { offsetInCU: 0xC848, offset: 0xC848, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4820, symSize: 0x220 }
  - { offsetInCU: 0xCB45, offset: 0xCB45, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4A40, symSize: 0x10 }
  - { offsetInCU: 0xCBA2, offset: 0xCBA2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4A50, symSize: 0x2C0 }
  - { offsetInCU: 0xCEF1, offset: 0xCEF1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9ED0, symBinAddr: 0x4D10, symSize: 0x10 }
  - { offsetInCU: 0xCFB9, offset: 0xCFB9, size: 0x8, addend: 0x0, symName: _MonitorWait, symObjAddr: 0x9EE0, symBinAddr: 0x4D20, symSize: 0x1E0 }
  - { offsetInCU: 0xD25A, offset: 0xD25A, size: 0x8, addend: 0x0, symName: _MonitorWaited, symObjAddr: 0xA0C0, symBinAddr: 0x4F00, symSize: 0x1E0 }
  - { offsetInCU: 0xD527, offset: 0xD527, size: 0x8, addend: 0x0, symName: _MonitorContendedEnter, symObjAddr: 0xA2A0, symBinAddr: 0x50E0, symSize: 0x1E0 }
  - { offsetInCU: 0xD7BD, offset: 0xD7BD, size: 0x8, addend: 0x0, symName: _MonitorContendedEntered, symObjAddr: 0xA480, symBinAddr: 0x52C0, symSize: 0x1E0 }
  - { offsetInCU: 0xDAB1, offset: 0xDAB1, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA660, symBinAddr: 0x54A0, symSize: 0x9E0 }
  - { offsetInCU: 0xE82B, offset: 0xE82B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_contention_TC04_tc04t001Thread_enterEventsCount, symObjAddr: 0xB040, symBinAddr: 0x5E80, symSize: 0x10 }
  - { offsetInCU: 0xE863, offset: 0xE863, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB100, symBinAddr: 0x5F40, symSize: 0x36A }
...
